Create
- POST
- /workspaces
- /:workspace_domain
- /projects
- /:project_name
- /unit-tests
- /suites
Add a new unit test suite to a project
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace_domain/projects/:project_name/unit-tests/suites" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Backend Integration Tests",
"identifier": "backend-tests",
"timeout": 3600,
"error_pattern": "(ERROR|FATAL|Exception)",
"slow_threshold": 5000
}'EXAMPLE RESPONSE{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v", "id": "65OmRb8v", "name": "Backend Integration Tests", "identifier": "backend-tests", "timeout": 3600, "error_pattern": "(ERROR|FATAL|Exception)", "token": "bud_ut_us_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5", "slow_threshold": 5000 }
STATUS201 Created